# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "skir-client"
version = "0.1.6"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Runtime library for Skir-generated Rust code"
homepage = "https://skir.build/docs/rust"
documentation = "https://skir.build/docs/rust"
readme = "README.md"
keywords = [
    "skir",
    "rpc",
    "serialization",
    "codegen",
]
categories = [
    "encoding",
    "network-programming",
]
license = "MIT"
repository = "https://github.com/gepheum/skir-rust-client"

[lib]
name = "skir_client"
path = "src/lib.rs"

[dependencies.anyhow]
version = "1"

[dependencies.reqwest]
version = "0.12"
features = ["rustls-tls"]
default-features = false

[dependencies.serde_json]
version = "1"
features = ["preserve_order"]

[dependencies.thiserror]
version = "2"
